package no.valg.valgnatt.database.forberedvalg.csv;

import org.supercsv.cellprocessor.Optional;
import org.supercsv.cellprocessor.ParseInt;
import org.supercsv.cellprocessor.constraint.NotNull;

public class CsvHistorikkStemmetallMod extends Csv {

    public CsvHistorikkStemmetallMod() {
        super("historikk_stemmetall_mod.csv",
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new Optional(new ParseInt()),
                new Optional(new ParseInt()),
                new Optional(new ParseInt()),
                new Optional(new ParseInt()));
        String[] headers = new String[]{"valgtype", "kommnr", "kretsnr", "partikode", "svts", "nsvts", "sfhs", "nsfhs"};
        super.setHeader(headers);
    }

}
